Subject: Re: [bug#45498] [PATCH 00/12] Add ocaml-merlin.

From: pukkamustard <[email-masked]>
Date: Mon, 28 Dec 2020 22:09:24 +0100

>> > Have you tried updating dune to the latest version that 
>> > builds
>> > with
>> > ocaml 4.07?
>>
>> Not yet. For ocaml-markup 1.0.0 the problem is that the dune 
>> file
>> version is set to 2.7. Any dune below 2.7.x will probably not
>> work.
>
> Is this a hard requirement? I think we used to be able to use 
> older
> dune versions despite this.

Not sure. Will keep this for future investigation.

>> >> - Some OCaml libraries have dependencies in `inputs` that 
>> >> seem
>> >> to be
>> >> required from packages using the libraries.  E.g.
>> >> `ocaml-yojson`
>> >> depends on `ocaml-biniou`. Packages depending on 
>> >> `ocaml-yojson`
>> >> need
>> >> to manually add `ocaml-biniou` to their inputs. Would it
>> >> work/make
>> >> sense to add `ocaml-biniou` to `propagated-inputs` of
>> >> `ocaml-yojson`?
>> >
>> > Yeah, could you provide an additional patch for that?
>>
>> Done. Patch 13 in v2.
>
> Could you instead put this as patch 12, and add merlin as patch 
> 13?
> That way you don't have to add the dependencies in merlin and 
> remove
> them in the following patch.
>
> Also, patch 12 adds ocaml-dot-merlin-reader and ocaml-merlin. 
> could you
> separate it in two separate patches?

Done. v3 coming shortly...

> I'm also wondering if we should
> call this package "merlin" instead of ocaml-merlin, since it 
> provides a
> binary of that name?

Hm, both seems fine to me. I've stuck to "ocaml-merlin" for now. 
Feel
free to change if you think "merlin" is more suitable.

-pukkamustard